SDXFrameWork 0.09 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | List of all members
SDX::Sound Class Reference

効果音用音声を表すクラス. More...

`#include <Sound.h>`

## Public Member Functions
| Sound (const char *ファイル名, double 音量=1.0)
| 音声ファイルをメモリに読み込む. More...
int | Load (const char *ファイル名, double 音量=1.0)
| 音声ファイルをメモリに読み込む. More...
bool | Release ()
| 音声ファイルをメモリから開放. More...
SoundHandle | GetHandle () const
| ハンドルを取得. More...
bool | Play (PlayType 再生方法=PlayType::Back, bool 先頭から再生=true) const
| 音声ファイルを再生. More...
bool | Check () const
| 再生中か判定[未実装]. More...
bool | Stop ()
| 再生を停止[未実装]. More...
bool | SetPan (int 音声パン)
| 音声パンを設定[未実装]. More...
bool | SetVolume (double 音量)
| 音量を0～1.0の範囲で設定. More...
bool | SetFrequency (int 再生周波数)
| 再生周波数を設定[未実装]. More...
bool | SetLoopPos (int ループ位置)
| ミリ秒単位でループ位置を設定[未実装]. More...
bool | SetLoopSamplePos (int ループ周波数)
| サンプリング周波数でループ位置を設定[未実装]. More...

## Detailed Description

効果音用音声を表すクラス.

## Constructor & Destructor Documentation

SDX::Sound::Sound | ( | const char * | ファイル名,
|  | double | 音量 = `1.0`
| ) |  |

音声ファイルをメモリに読み込む.

## Member Function Documentation

int SDX::Sound::Load | ( | const char * | ファイル名,
|  | double | 音量 = `1.0`
| ) |  |

音声ファイルをメモリに読み込む.

bool SDX::Sound::Release | ( |  | ) |

音声ファイルをメモリから開放.

SoundHandle SDX::Sound::GetHandle | ( |  | ) | const

ハンドルを取得.

bool SDX::Sound::Play | ( | PlayType | 再生方法 = `PlayType::Back`,
|  | bool | 先頭から再生 = `true`
| ) |  | const

音声ファイルを再生.

bool SDX::Sound::Check | ( |  | ) | const

再生中か判定[未実装].

bool SDX::Sound::Stop | ( |  | ) |

再生を停止[未実装].

bool SDX::Sound::SetPan | ( | int | 音声パン | ) |

音声パンを設定[未実装].

bool SDX::Sound::SetVolume | ( | double | 音量 | ) |

音量を0～1.0の範囲で設定.

bool SDX::Sound::SetFrequency | ( | int | 再生周波数 | ) |

再生周波数を設定[未実装].

単位はHzで範囲は100～100,000

bool SDX::Sound::SetLoopPos | ( | int | ループ位置 | ) |

ミリ秒単位でループ位置を設定[未実装].

bool SDX::Sound::SetLoopSamplePos | ( | int | ループ周波数 | ) |

サンプリング周波数でループ位置を設定[未実装].

周期が44.1KHzの場合、44,100を渡すと1秒の位置でループする